<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    style="@style/styleDialogParentView">

    <androidx.cardview.widget.CardView
        style="@style/styleDialogParentCard"
       >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="vertical"
            android:padding="20dp"
            android:background="#53385b">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                >

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="5dp"
                        android:fontFamily="@font/medium"
                        android:text="Hours"
                        android:textColor="@color/black"
                        android:textSize="20sp" />

                    <com.shawnlin.numberpicker.NumberPicker xmlns:ns="http://schemas.android.com/apk/res-auto"
                        android:id="@+id/hour_picker"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        ns:np_dividerColor="@color/black"
                        ns:np_formatter="@string/number_picker_formatter"
                        ns:np_height="180dp"
                        ns:np_max="12"
                        ns:np_min="0"
                        ns:np_selectedTextColor="@color/white"
                        ns:np_selectedTextSize="@dimen/time_selected_text_size"
                        ns:np_textColor="@color/text_dark"
                        ns:np_textSize="@dimen/time_text_size"
                        ns:np_typeface="sans-serif-light"
                        ns:np_value="0"
                        ns:np_width="64dp" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20dp"
                    android:gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="5dp"
                        android:fontFamily="@font/medium"
                        android:text="Minutes"
                        android:textColor="@color/black"
                        android:textSize="20sp" />

                    <com.shawnlin.numberpicker.NumberPicker xmlns:ns="http://schemas.android.com/apk/res-auto"
                        android:id="@+id/min_picker"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        ns:np_dividerColor="@color/black"
                        ns:np_formatter="@string/number_picker_formatter"
                        ns:np_height="180dp"
                        ns:np_max="59"
                        ns:np_min="1"
                        ns:np_selectedTextColor="@color/text_dark"
                        ns:np_selectedTextSize="@dimen/time_selected_text_size"
                        ns:np_textColor="@color/text_dark"
                        ns:np_textSize="@dimen/time_text_size"
                        ns:np_typeface="sans-serif-light"
                        ns:np_value="30"
                        ns:np_width="64dp" />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:orientation="horizontal">

                <ImageView
                    android:id="@+id/imv_ok"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="?android:attr/actionBarItemBackground"
                    android:src="@drawable/apply_ic"
                    app:tint="@color/black" />

                <ImageView
                    android:id="@+id/imv_cancel"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="?android:attr/actionBarItemBackground"
                    android:src="@drawable/cancel_ic"
                    app:tint="@color/black" />

            </LinearLayout>

        </LinearLayout>

    </androidx.cardview.widget.CardView>

</RelativeLayout>